<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    {# Pour charger un css généré par webpack encore, il est préférable
        d'utiliser la fonction suivante à laquelle on donne le nom de
        l'entry configuré dans le webpack.config.js #}
    {{ encore_entry_link_tags('app') }}
    {% block stylesheets %}{% endblock %}
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light ">
        <a class="navbar-brand" href="{{path('home')}}">SpeedBlog</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{{path('home')}}">Home</a>
                </li>
                {% if app.user %}

                <li class="nav-item">
                    <a class="nav-link" href="{{path('my_blog_manage')}}">My Blog</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{path('my_blog')}}">Add Post</a>
                </li>
                {% endif %}

            </ul>

            <ul class="navbar-nav">
                {% if app.user %}

                <li class="nav-item">
                    <a class="btn btn-danger" href="{{path('logout')}}">Logout</a>
                </li>

                {% else %}

                <li class="nav-item mr-1">
                    <a class="btn btn-primary" href="{{path('login')}}">Login</a>
                </li>
                <li class="nav-item">
                    <a class="btn btn-info" href="{{path('register')}}">Register</a>
                </li>
                {% endif %}
            </ul>
        </div>
    </nav>
    <div class="container w-80 m-auto">
        {% block body %}{% endblock %}
    </div>
    {% block javascripts %}{% endblock %}
</body>

</html>